Subject: Re: QM_MODULES

From: Cal Erickson <[email-masked]>
Date: Thu, 26 Oct 2000 09:08:29 -0700

Have you built the modutils package so that
you can use insmod, modprobe and others?
Cal

[email-masked] wrote:

> hello all!!
>
> I have a problum.
>
> I made the test.c file for device driver test.
>
> ========== test.c ===================
> #define MODULE
> #include <linux/kernel.h>
> #include <linux/module.h>
>
> #if CONFIG_MODVERSIONS==1
> #define MODVERSION
> #include <linux/modversions.h>
> #endif
>
> int init_module(void) { printk("Hello, kim\n"); return 0; }
> void cleanup_module(void) { printk("Goodbye Kim\n"); }
> ======================================
> And, compile options
> powerpc-linux-gcc -D__KERNEL__ -O -c test.c
> /tmp/cc8k7ews.s: Assembler messages:
> /tmp/cc8k7ews.s:6: Warning: Ignoring changed section attributes for .modinfo
>
> warning message and i execute the insmod
>
> insmod test.o
> insmod : QM_MODULES function not implmented
>
> I don't know, warning message and error message.
>
> help me~~!!
>

--
===========================================================================
Cal Erickson                 MontaVista Software Inc.
Customer Support Engineer    490 Potrero Avenue
Phone (408) 328-0304         Sunnyvale CA 94085
Fax   (408) 328-9204         e-mail [email-masked]
Pager 877-566-2012           support 1-800-759-8888 pin 202-7489
web http://www.mvista.com    support e-mail: [email-masked]
eCode: http://[email-masked]
===========================================================================

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/